> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Redo speech

> Regenerate one Podcast scene's speech asynchronously with the shared Web billing and subtitles.

MCP tool: `podcast_redo_speech`. OAuth scope: `podcast.generate`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/speech/tasks
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/speech/tasks:
    post:
      tags:
        - Podcast
      summary: redo speech
      description: >-
        Regenerate one Podcast scene's speech asynchronously with the shared Web
        billing and subtitles.
      operationId: podcast_redo_speech
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PodcastRedoTTSReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastTTSTaskResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PodcastRedoTTSReq:
      properties:
        is_new:
          description: 是新增分镜还是更新分镜 true=新增 false=更新
          type: boolean
        prj_id:
          description: 项目ID
          type: string
        scene_idx:
          description: 分镜索引
          type: integer
        scene_key:
          description: 分镜唯一标识，有值时优先于scene_idx；上传音频异步redo_tts按scene_idx定位，此字段作为前端key写回
          type: string
        script:
          description: 文案
          type: string
        script_config:
          allOf:
            - $ref: '#/components/schemas/vo.ScriptConfig'
          description: 当前Host的TTS参数配置；不传时使用项目已保存配置
        voice_id:
          description: 音色ID
          type: string
      required:
        - prj_id
        - script
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastTTSTaskResp:
      properties:
        status:
          type: integer
        task_id:
          type: string
      type: object
    vo.ScriptConfig:
      properties:
        emotion:
          description: Minimax emotion speed pitch
          type: string
        model_id:
          description: 使用的模型名称 暂时只有11labs使用 eleven_v3，eleven_flash_v2_5
          type: string
        pitch:
          description: azure speed pitch
          type: number
        similarity:
          description: 音色相似度 /最小值为0%，最大值为100% 默认选中75%, 最小颗粒度1%
          type: number
        speaker_boost:
          description: 默认开启 高还原度
          type: boolean
        stability:
          description: 11labs speed stability similarity style_exaggeration speaker_boost
          type: number
        style_exaggeration:
          description: 夸大风格，越高越不稳定，低会提升合成速度
          type: number
        tts_speed:
          description: 废弃暂时不用 语速工程化实现
          type: number
        volume:
          description: 废弃暂时不用 音量工程化实现
          type: integer
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````